---
apiVersion: image.openshift.io/v1
generation: 2
image:
  dockerImageMetadata:
    ContainerConfig: {}
    Created: null
    Id: ""
    apiVersion: image.openshift.io/1.0
    kind: DockerImage
  dockerImageMetadataVersion: "1.0"
  dockerImageReference: registry.redhat.io/ocp-tools-4/jenkins-agent-base-rhel8@sha256:52f9b4df3f7833876ee502a6bff2539491db07e060b213b6a0a8fda0c4a881c1
  metadata:
    creationTimestamp: null
    name: sha256:52f9b4df3f7833876ee502a6bff2539491db07e060b213b6a0a8fda0c4a881c1
kind: ImageStreamTag
lookupPolicy:
  local: false
metadata:
  annotations:
    description: Provides a Jenkins Base Agent to extend Jenkins agents. A user must
      invoke 'oc import-image jenkins-agent-base:user-maintained-upgrade-redeploy
      -n openshift' in order for the ImageStream controller to pull the latest digest
      for the image tag.
    iconClass: icon-jenkins
    openshift.io/display-name: Jenkins Base Agent
    openshift.io/provider-display-name: Red Hat, Inc.
    tags: jenkins
  creationTimestamp: "2025-10-27T11:40:50Z"
  labels:
    samples.operator.openshift.io/managed: "true"
  name: jenkins-agent-base:user-maintained-upgrade
  namespace: openshift
  resourceVersion: "19596"
  uid: 76cc57fc-1b62-4438-9363-601743e20708
tag:
  annotations:
    description: Provides a Jenkins Base Agent to extend Jenkins agents. A user must
      invoke 'oc import-image jenkins-agent-base:user-maintained-upgrade-redeploy
      -n openshift' in order for the ImageStream controller to pull the latest digest
      for the image tag.
    iconClass: icon-jenkins
    openshift.io/display-name: Jenkins Base Agent
    openshift.io/provider-display-name: Red Hat, Inc.
    tags: jenkins
  from:
    kind: DockerImage
    name: registry.redhat.io/ocp-tools-4/jenkins-agent-base-rhel8:v4.13.0
  generation: 2
  importPolicy:
    importMode: Legacy
  name: user-maintained-upgrade
  referencePolicy:
    type: Local
